import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Hund extends Actor
{
    private int zufallszahl;
    
    public Hund()
    {
        zufallszahl = Greenfoot.getRandomNumber(4);
    }
    
    public void act() 
    {
        if(zufallszahl == 0)
        {
            this.moveUp();
        }
        
        if(zufallszahl == 1)
        {
            this.moveRight();
        }
        
        if(zufallszahl == 2)
        {
            this.moveDown();
        }
        
        if(zufallszahl == 3)
        {
            this.moveLeft();
        }
        
        this.checkCollision();
    }   
    
    public void moveLeft()
    {
        this.setLocation(getX() - 5, getY());
    }
    
    public void moveRight()
    {
        this.setLocation(getX() + 5, getY());
    }

    public void moveUp()
    {
        this.setLocation(this.getX() , this.getY() - 5); 
    }
    
    public void moveDown()
    {
        this.setLocation(this.getX() , this.getY() + 5); 
    }
    
    public void checkCollision()
    {
       if(this.isAtEdge())
       {
           zufallszahl = Greenfoot.getRandomNumber(4);
       }
    }
}